variable "api_token" {
    description = "Cloudflare account API token"
    type        = string
    default     = ""
    sensitive   = true
}

variable "account_name" {
    description = "Cloudflare account name"
    type        = string
    default     = ""
}

variable "a_records" {
    description = "DNS A records to create"
    type        = list(object({
        name    = string
        content = string
    }))
    default     = []
}